texmath-0.12.8.13: Conversion between math formats.

Safe Haskell | None
Language | Haskell2010

Text.TeXMath.Readers.MathML

Description

Parses MathML in conformance with the MathML3 specification.

Unimplemented features:

- mpadded
- malignmark
- maligngroup
- Elementary Math

To Improve:

- Handling of menclose
- Handling of mstyle

Synopsis

- readMathML :: Text -> Either Text [Exp]

# Documentation

readMathML :: Text -> Either Text [Exp] #

Parse a MathML expression to a list of `Exp`.